Package groovy.transform

# Class Undefined

java.lang.Object
groovy.transform.Undefined

public final class Undefined extends Object
Java doesn't allow you to have null as an attribute value. It wants you to indicate what you really mean by null, so that is what we do here - as ugly as it is.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `Undefined.CLASS`
  Sentinel type used when an annotation member has no explicit class value.
  `static final class`
  `Undefined.EXCEPTION`
  Sentinel exception type used when an annotation member has no explicit exception value.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `STRING`
  Sentinel string value used when an annotation member has no explicit string value.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static boolean`
  `isUndefined(String other)`
  Tests whether the supplied string is the undefined sentinel.
  `static boolean`
  `isUndefined(ClassNode other)`
  Tests whether the supplied class node is the undefined class sentinel.
  `static boolean`
  `isUndefinedException(ClassNode other)`
  Tests whether the supplied class node is the undefined exception sentinel.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### STRING

    public static final String STRING
    Sentinel string value used when an annotation member has no explicit string value.
    See Also:
      - Constant Field Values

- ## Method Details

  - ### isUndefined

    public static boolean isUndefined(String other)
    Tests whether the supplied string is the undefined sentinel.
    Parameters:
      `other` - the value to test
    Returns:
      `true` if the value is undefined

  - ### isUndefined

    public static boolean isUndefined(ClassNode other)
    Tests whether the supplied class node is the undefined class sentinel.
    Parameters:
      `other` - the class node to test
    Returns:
      `true` if the value is undefined

  - ### isUndefinedException

    public static boolean isUndefinedException(ClassNode other)
    Tests whether the supplied class node is the undefined exception sentinel.
    Parameters:
      `other` - the class node to test
    Returns:
      `true` if the value is undefined